%define	name	arib25
%define	version	0.2.5
%define	release	1pe1
%define git_source https://github.com/stz2012/libarib25

Summary:	arib25 library and tools
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL3
Group:		System Environment/Libraries
URL:            http://www.marumo.ne.jp/db2012_2.htm#13
Vendor:		MOGI, Kazuhiro <kazhiro@marumo.ne.jp>
#Source:		%{git_source}
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:  pcsc-lite-devel, gcc-c++, cmake

%description
arib25 library and tools

%prep
rm -rf libarib25
git clone %{git_source}
%setup -D -T -n libarib25
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr .
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE NOTICE README.md
/usr/bin/*
/usr/include/arib25/*
/usr/lib*/libarib25.*
/usr/lib*/pkgconfig/libarib25.pc

%changelog
* Sun Sep 27 2020 yoshinobu syouzi <yoshino@rita.karing.jp>
- for git, updated to 1pe1.

* Thu Nov 20 2014 yoshinobu syouzi <yoshino@rita.karing.jp>
- updated for 0.2.5.

* Wed Nov 19 2014 yoshinobu syouzi <yoshino@rita.karing.jp>
- packaged for private use.

